<?php

namespace Nest\Configuration\Exceptions;

use Throwable;

/**
 * Exception thrown when a configuration value does not exists in configuration array.
 */
class ConfigurationValueNotFoundException extends ConfigurationException
{
	/**
	 * @param string $key The configuration key not found.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $key, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct("Cannot find a configuration value for key \"$this->key\".", $code, $previous);
	}
}
